Loading...
Searching...
No Matches
janus_sdp_attribute Struct Reference

SDP a= attribute representation. More...

`#include <sdp-utils.h>`

Collaboration diagram for janus_sdp_attribute:
[legend]

## Data Fields

char * | name
| Attribute name.
char * | value
| Attribute value.
janus_sdp_mdirection | direction
| Attribute direction (e.g., for extmap).
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

SDP a= attribute representation.

## Field Documentation

## destroyed

volatile gint janus_sdp_attribute::destroyed

Atomic flag to check if this instance has been destroyed.

## direction

janus_sdp_mdirection janus_sdp_attribute::direction

Attribute direction (e.g., for extmap).

## name

char* janus_sdp_attribute::name

Attribute name.

## ref

janus_refcount janus_sdp_attribute::ref

Reference counter for this instance.

## value

char* janus_sdp_attribute::value

Attribute value.

The documentation for this struct was generated from the following file:

- sdp-utils.h